curl and libcurl version upgrade to 7.40

Issues related to software problems.
Post Reply
fantalemon
Posts: 3
Joined: 2015/01/29 08:05:00

curl and libcurl version upgrade to 7.40

Post by fantalemon » 2015/01/29 09:27:06

Hello, I am trying to upgrade curl and libcurl from 7.29 to 7.40 using the rpms from city-fan.org and am having some dependency issues I am hoping someone can help me with.
When I install libcurl-7.40 i get error: failed dependencies: libidn.so.11
and when i locate libidn.so.11

rpm -Uvh libcurl-7.40.0-1.0.cf.rhel5.i386.rpm
warning: libcurl-7.40.0-1.0.cf.rhel5.i386.rpm: Header V3 DSA signature: NOKEY, key ID b56a8bac
error: Failed dependencies:
libidn.so.11(LIBIDN_1.0) is needed by libcurl-7.40.0-1.0.cf.rhel5.i386
libcurl = 7.29.0-19.el5.remi is needed by (installed) libcurl-devel-7.29.0-19.el5.remi.i386
libcurl = 7.29.0-19.el5.remi is needed by (installed) curl-7.29.0-19.el5.remi.i386

locate libidn.so.11
/usr/lib/libidn.so.11
/usr/lib/libidn.so.11.5.19

I am not sure how to fix this- if anyone can point me in the right direction?
Thanks in advance

User avatar
avij
Retired Moderator
Posts: 3039
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: curl and libcurl version upgrade to 7.40

Post by avij » 2015/01/29 09:40:34

Did it cross your mind that you could perhaps ask for advice from the city-fan.org people? It's their package, it's up to them to support its installation.

fantalemon
Posts: 3
Joined: 2015/01/29 08:05:00

Re: curl and libcurl version upgrade to 7.40

Post by fantalemon » 2015/01/29 09:43:26

Yes, I have also sent an email to Paul of city-fan, but wasn't sure if he or they would be able to assist. So if there's anyone out there that can point me in the right direction to resolve this dependency would be great.

User avatar
TrevorH
Forum Moderator
Posts: 26942
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: curl and libcurl version upgrade to 7.40

Post by TrevorH » 2015/01/29 09:48:11

Neither 7.29 nor 7.40 are CentOS packages - we supply curl-7.15.5-17.el5_9
CentOS 5 died in March 2017 - migrate NOW!
CentOS 6 goes EOL sooner rather than later, get upgrading!
Full time Geek, part time moderator. Use the FAQ Luke

fantalemon
Posts: 3
Joined: 2015/01/29 08:05:00

Re: curl and libcurl version upgrade to 7.40

Post by fantalemon » 2015/01/29 09:57:58

ok- I think i have resolved it - i was going in a loop. After upgrading the libraries libidn and libidn-devel together rather than individually from 0.6.5 to 1.29
I was then able to upgrade curl and libcurl and libcurl-devel without the error dependencies failed.
Hope that makes sense.

Post Reply

Return to “CentOS 5 - Software Support”